@import 'variables.scss';

@mixin transition ($transition: all 0.2s) {
    -webkit-transition: $transition;
    -moz-transition: $transition;
    -ms-transition: $transition;
    -o-transition: $transition;
    will-change: transition;
}

@mixin transform($string) {
    -webkit-transform: $string;
    -moz-transform: $string;
    -ms-transform: $string;
    -o-transform: $string;
    will-change: transform;
}

@mixin rgba($color, $opacity: 0.3) {
    background: $color;
    background: rgba($color, $opacity);
}

@mixin full-offset {
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
}

@mixin spin {
    @keyframes mdi-spin {
        0% {
            -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
        }

        100% {
            -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
        }

        0% {
            -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
        }

        100% {
            -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
        }
    }

    -webkit-animation: mdi-spin 2s infinite linear;
    animation: mdi-spin 2s infinite linear;
}

body {
    font: .8rem 'IRANSansWeb';
    text-align: right;
    font-weight: 400;
    margin: 0;
    padding: 0;
}

.tooltip  {
    font: .8rem 'IRANSansWeb';
}

a,
a:focus,
a:hover,
a:active,
button:focus,
select:focus {
    outline: 0 !important;
    text-decoration: none;
    box-shadow: none !important;
}

a {
    text-shadow: none !important;
    color: $color-primary;
    @include transition(.2s ease);
}

.cup {
    cursor: pointer;
}

input:focus {
    outline: none;
}

.z-index {
    &-1 {
        z-index: 1;
    }

    &-1 {
        z-index: 2;
    }

    &-1 {
        z-index: 3;
    }

    &-1 {
        z-index: 4;
    }

    &-1 {
        z-index: 5;
    }

    &-1 {
        z-index: 6;
    }

    &-1 {
        z-index: 7;
    }

    &-1 {
        z-index: 8;
    }

    &-1 {
        z-index: 9;
    }

    &-1 {
        z-index: 10;
    }
}

.rounded {
    border-radius: $radius !important;
}

.rounded-top {
    border-radius: $radius $radius 0 0 !important;
}

.rounded-bottom {
    border-radius: 0 0 $radius $radius !important;
}

.rounded-left {
    border-radius: $radius 0 0 $radius !important;
}

.rounded-right {
    border-radius: 0 $radius $radius 0 !important;
}

.text-primary {
    color: $color-primary !important
}

.text-secondary {
    color: $color-secondary !important
}

.text-success {
    color: $color-success !important
}

.text-danger {
    color: $color-danger !important
}

.text-info {
    color: $color-info !important
}

.text-warning {
    color: $color-warning !important
}

.text-muted {
    color: $color-muted !important;
}

.mdi-set::before {
    display: inline-block;
    font: normal normal normal 24px/1 "Material Design Icons";
    font-size: inherit;
    text-rendering: auto;
    line-height: inherit;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

a:hover {

    &.text-primary,
    &.text-secondary,
    &.text-success,
    &.text-danger,
    &.text-info,
    &.text-warning,
    &.text-muted {
        color: $color-primary !important;
    }
}

.badge-primary,
.bg-primary {
    background-color: $color-primary !important
}


.badge-secondary,
.bg-secondary {
    background-color: $color-secondary !important
}

.badge-success,
.bg-success {
    background-color: $color-success !important
}

.badge-info,
.bg-info {
    background-color: $color-info !important
}

.badge-warning,
.bg-warning {
    background-color: $color-warning !important
}

.badge-danger,
.bg-danger {
    background-color: $color-danger !important
}

.badge-dark,
.bg-dark {
    background-color: $color-dark !important
}

.bg-light-primary {
    background-color: #EEE5FF !important;
}

.bg-light-success {
    background-color: #C9F7F5 !important;
}

.bg-light-danger {
    background-color: #FFE2E5 !important;
}

.bg-light-warning {
    background-color: #FFF4DE !important;
}

.bg-light-info {
    background-color: #EEE5FF !important;
}

.bg-light-info {
    background-color: #EEE5FF !important;
}

.bg-primary-o-90 {
    @include rgba($color-primary, .9);
}

.bg-primary-o-80 {
    @include rgba($color-primary, .8);
}

.bg-primary-o-70 {
    @include rgba($color-primary, .7);
}

.bg-primary-o-60 {
    @include rgba($color-primary, .6);
}

.bg-primary-o-50 {
    @include rgba($color-primary, .5);
}

.bg-primary-o-40 {
    @include rgba($color-primary, .4);
}

.bg-primary-o-30 {
    @include rgba($color-primary, .3);
}

.bg-primary-o-20 {
    @include rgba($color-primary, .2);
}

.bg-primary-o-10 {
    @include rgba($color-primary, .1);
}


.bg-success-o-90 {
    @include rgba($color-success, .9);
}

.bg-success-o-80 {
    @include rgba($color-success, .8);
}

.bg-success-o-70 {
    @include rgba($color-success, .7);
}

.bg-success-o-60 {
    @include rgba($color-success, .6);
}

.bg-success-o-50 {
    @include rgba($color-success, .5);
}

.bg-success-o-40 {
    @include rgba($color-success, .4);
}

.bg-success-o-30 {
    @include rgba($color-success, .3);
}

.bg-success-o-20 {
    @include rgba($color-success, .2);
}

.bg-success-o-10 {
    @include rgba($color-success, .1);
}

.bg-warning-o-90 {
    @include rgba($color-warning, .9);
}

.bg-warning-o-80 {
    @include rgba($color-warning, .8);
}

.bg-warning-o-70 {
    @include rgba($color-warning, .7);
}

.bg-warning-o-60 {
    @include rgba($color-warning, .6);
}

.bg-warning-o-50 {
    @include rgba($color-warning, .5);
}

.bg-warning-o-40 {
    @include rgba($color-warning, .4);
}

.bg-warning-o-30 {
    @include rgba($color-warning, .3);
}

.bg-warning-o-20 {
    @include rgba($color-warning, .2);
}

.bg-warning-o-10 {
    @include rgba($color-warning, .1);
}

.bg-danger-o-90 {
    @include rgba($color-danger, .9);
}

.bg-danger-o-80 {
    @include rgba($color-danger, .8);
}

.bg-danger-o-70 {
    @include rgba($color-danger, .7);
}

.bg-danger-o-60 {
    @include rgba($color-danger, .6);
}

.bg-danger-o-50 {
    @include rgba($color-danger, .5);
}

.bg-danger-o-40 {
    @include rgba($color-danger, .4);
}

.bg-danger-o-30 {
    @include rgba($color-danger, .3);
}

.bg-danger-o-20 {
    @include rgba($color-danger, .2);
}

.bg-danger-o-10 {
    @include rgba($color-danger, .1);
}

.bg-info-o-90 {
    @include rgba($color-info, .9);
}

.bg-info-o-80 {
    @include rgba($color-info, .8);
}

.bg-info-o-70 {
    @include rgba($color-info, .7);
}

.bg-info-o-60 {
    @include rgba($color-info, .6);
}

.bg-info-o-50 {
    @include rgba($color-info, .5);
}

.bg-info-o-40 {
    @include rgba($color-info, .4);
}

.bg-info-o-30 {
    @include rgba($color-info, .3);
}

.bg-info-o-20 {
    @include rgba($color-info, .2);
}

.bg-info-o-10 {
    @include rgba($color-info, .1);
}

.bg-hover-primary {
    &:hover {
        background-color: $color-primary !important;
    }
}

.bg-hover-secondary {
    &:hover {
        background-color: $color-secondary !important;
    }
}

.bg-hover-success {
    &:hover {
        background-color: $color-success !important;
    }
}

.bg-hover-warning {
    &:hover {
        background-color: $color-warning !important;
    }
}

.bg-hover-info {
    &:hover {
        background-color: $color-info !important;
    }
}

.bg-hover-danger {
    &:hover {
        background-color: $color-danger !important;
    }
}

.bg-hover-light {
    &:hover {
        background-color: $color-light !important;
    }
}

.bg-hover-dark {
    &:hover {
        background-color: $color-dark !important;
    }
}

.text-hover-light {
    &:hover {
        color: $color-light !important;
    }
}

.text-hover-dark {
    &:hover {
        color: $color-dark !important;
    }
}




.pointer-event-none {
    pointer-events: none;
}

.bg-gray-10 {
    background-color: lighten(black, 90%);
}

.bg-gray-20 {
    background-color: lighten(black, 80%);
}

.bg-gray-30 {
    background-color: lighten(black, 70%);
}

.bg-gray-40 {
    background-color: lighten(black, 60%);
}

.bg-gray-50 {
    background-color: lighten(black, 50%);
}

.bg-gray-60 {
    background-color: lighten(black, 40%);
}

.bg-gray-70 {
    background-color: lighten(black, 30%);
}

.bg-gray-80 {
    background-color: lighten(black, 20%);
}

.bg-gray-90 {
    background-color: lighten(black, 10%);
}


.btn {
    font-size: .875rem;
    line-height: 1.6;
    border-width: 2px;
    border-radius: $radius;


    &.btn-sm {
        font-size: .775rem;
    }

    &-primary,
    &-outline-primary {
        background-color: $color-primary;
        border-color: $color-primary;

        &:hover,
        &:focus,
        &:active,
        &:disabled,
        &.disabled {
            background-color: darken($color-primary, 5%) !important;
            border-color: darken($color-primary, 5%) !important;
        }
    }

    &-outline-primary {
        &:focus {
            color: white
        }
    }

    &-outline-primary {
        color: $color-primary;
        background-color: transparent;
    }

    &-secondary,
    &-outline-secondary {
        color: black;
        background-color: $color-secondary;
        border-color: $color-secondary;

        &:hover,
        &:focus,
        &:active,
        &:disabled,
        &.disabled {
            background-color: darken($color-secondary, 5%) !important;
            border-color: darken($color-secondary, 5%) !important;
        }
    }

    &-outline-secondary {
        color: $color-secondary;
        background-color: transparent;

        &:focus {
            color: white
        }
    }

    &-success,
    &-outline-success {
        background-color: $color-success;
        border-color: $color-success;

        &:hover,
        &:focus,
        &:active,
        &:disabled,
        &.disabled {
            background-color: darken($color-success, 5%) !important;
            border-color: darken($color-success, 5%) !important;
        }
    }

    &-outline-success {
        color: $color-success;
        background-color: transparent;

        &:focus {
            color: white
        }
    }

    &-danger,
    &-outline-danger {
        background-color: $color-danger;
        border-color: $color-danger;

        &:hover,
        &:focus,
        &:active,
        &:disabled,
        &.disabled {
            background-color: darken($color-danger, 5%) !important;
            border-color: darken($color-danger, 5%) !important;
        }
    }

    &-outline-danger {
        color: $color-danger;
        background-color: transparent;

        &:focus {
            color: white
        }
    }

    &-warning,
    &-outline-warning {
        color: white;
        background-color: $color-warning;
        border-color: $color-warning;

        &:hover,
        &:focus,
        &:active,
        &:disabled,
        &.disabled {
            color: white;
            background-color: darken($color-warning, 5%) !important;
            border-color: darken($color-warning, 5%) !important;
        }
    }

    &-outline-warning {
        color: $color-warning;
        background-color: transparent;

        &:focus {
            color: white
        }
    }

    &-info,
    &-outline-info {
        background-color: $color-info;
        border-color: $color-info;

        &:hover,
        &:focus,
        &:active,
        &:disabled,
        &.disabled {
            background-color: darken($color-info, 5%) !important;
            border-color: darken($color-info, 5%) !important;
        }
    }

    &-outline-info {
        color: $color-info;
        background-color: transparent;

        &:focus {
            color: white
        }
    }

    &[class*="-outline"][disabled] {
        background-color: transparent !important;
    }

    &.btn-light-success {
        color: #1BC5BD;
        background-color: #C9F7F5;
        border-color: transparent;

        &:hover {
            color: #fff;
            background-color: #1BC5BD;
        }
    }

    &.btn-light-primary {
        color: #8950FC;
        background-color: #EEE5FF;
        border-color: transparent;

        &:hover {
            color: #fff;
            background-color: #8950FC;
        }
    }

    &.btn-light-danger {
        color: #F64E60;
        background-color: #FFE2E5;
        border-color: transparent;

        &:hover {
            color: #fff;
            background-color: #F64E60;
        }
    }

    &.btn-light-warning {
        color: #FFA800;
        background-color: #FFF4DE;
        border-color: transparent;

        &:hover {
            color: #fff;
            background-color: #FFA800;
        }
    }

    &.btn-light-dark {
        color: #181C32;
        background-color: #D1D3E0;
        border-color: transparent;

        &:hover {
            color: #fff;
            background-color: #181C32;
        }
    }

    &.btn-icon {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        padding: 0;
        height: calc(1.5em + 1.3rem + 2px);
        width: calc(1.5em + 1.3rem + 2px);

        &.btn-sm,
        .btn-group-sm>.btn.btn-icon {
            height: calc(1.35em + 1.1rem + 2px);
            width: calc(1.35em + 1.1rem + 2px);
        }

        &.btn-lg,
        .btn-group-lg>.btn.btn-icon {
            height: calc(1.5em + 1.65rem + 2px);
            width: calc(1.5em + 1.65rem + 2px);
        }
    }

    &.btn-pill {
        border-radius: 2rem;
    }
}

input {
    &.form-control {
        &.form-control-lg {
            height: calc(1.5em + 1.65rem + 2px);
        }
    }
}


.disabled,
[disabled],
.btn.disabled,
.btn:disabled {
    pointer-events: none;
}

[disabled],
.btn.disabled,
.btn:disabled {
    opacity: 0.3;
    /*برای فیلتر سفارش*/
    // cursor: not-allowed !important;
}

.full-offset {
    @include full-offset();
}

.mdi {
    &:before {
        vertical-align: middle;
    }

    &.mdi-18px {
        &:before {
            line-height: 18px;
        }
    }

    &.mdi-20px {
        &:before {
            font-size: 20px;
            line-height: 20px;
        }
    }

    &.mdi-24px {
        &:before {
            line-height: 24px;
        }
    }

    &.mdi-36px {
        &:before {
            line-height: 36px;
        }
    }

    &.mdi-48px {
        &:before {
            line-height: 48px;
        }
    }
}

.form-control {
    font-size: .8rem;
}

.dropdown {
    .dropdown-toggle {
        cursor: pointer;

        &::after {
            display: none;
        }
    }

    .dropdown-menu {
        box-shadow: rgba(15, 15, 15, .05) 0 0 0 1px, rgba(15, 15, 15, .1) 0 3px 6px, rgba(15, 15, 15, .2) 0 9px 24px;
        border: none;

        .dropdown-item {
            font-size: .8rem;
            text-align: right;
        }
    }
}

.notification {
    position: fixed;
    @include full-offset();
    z-index: 1000;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
    padding: 1rem;
    pointer-events: none;

    .notification-item {
        display: flex;
        align-items: center;
        padding: .75rem;
        border-radius: $radius;
        max-width: 50%;

        &::before {
            display: inline-block;
            font: normal normal normal 24px/1em "Material Design Icons";
            text-rendering: auto;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
            margin-left: .5rem;
        }

        +.notification-item {
            margin-top: .5rem;
        }

        &.notification-item--success {
            background-color: #b9df90;
            color: #3c763d;

            &::before {
                content: "\F012C";
            }
        }

        &.notification-item--danger {
            background-color: #f2838f;
            color: #a94442;

            &::before {
                content: "\F0156";
            }
        }

        &.notification-item--warning {
            background-color: #ffdd87;
            color: #8a6d3b;

            &::before {
                content: "\F002A";
            }
        }

        &.notification-item--info {
            background-color: #7cd1ef;
            color: #31708f;

            &::before {
                content: "\F02FD";
            }
        }
    }

    @media (max-width: 600px) {
        .notification-item {
            max-width: none;
        }
    }
}

.loading {
    position: relative;

    &::after {
        content: "";
        position: absolute;
        @include full-offset;
        background-color: rgba(white, .8);
        z-index: 100;
    }

    &::before {
        content: "\F0772";
        display: inline-block;
        font: normal normal normal 54px/1 "Material Design Icons";
        text-rendering: auto;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        z-index: 101;
        position: absolute;
        left: calc(50% - 27px);
        top: calc(50% - 27px);
        @include spin;
    }
}

.table {
    min-width: 500px;
    
    &.table-centered {

        td,
        th {
            text-align: center;
            font-weight: normal;
            vertical-align: middle;
        }
    }
}

.custom-select {
    padding: .375rem .75rem .375rem 1.75rem !important;
    font-size: inherit;
    background-position-x: 9px !important;
}

.opacity {
    &-90 {
        opacity: .9;
    }

    &-80 {
        opacity: .8;
    }

    &-70 {
        opacity: .7;
    }

    &-60 {
        opacity: .6;
    }

    &-50 {
        opacity: .5;
    }

    &-40 {
        opacity: .4;
    }

    &-30 {
        opacity: .3;
    }

    &-20 {
        opacity: .2;
    }

    &-10 {
        opacity: .1;
    }

    &-0 {
        opacity: 0;
    }
}

.modal-header .close {
    margin: -1rem auto -1rem -1rem;
}

.custom-switch {
    padding-left: 2.25em;

    .custom-control-input {
        width: 1em;
        height: 1.25em;
        opacity: 0;

        &:checked {
            ~.custom-control-label {
                &::after {
                    -webkit-transform: translateX(.75em);
                    transform: translateX(.75em);
                }

                &::before {
                    border-color: $color-primary;
                    background-color: $color-primary;
                }

                .active {
                    display: inline-block;
                }

                .inactive {
                    display: none;
                }
            }
        }

        &:focus {
            ~.custom-control-label {
                &::before {
                    box-shadow: 0 0 0 0.2rem rgba($color-primary, .25);
                }
            }

            &:not(:checked)~.custom-control-label::before {
                border-color: $color-primary;
            }
        }

        &:disabled:checked~.custom-control-label::before {
            @include rgba($color-primary, .5);
        }
    }

    .custom-control-label {
        &::after {
            top: calc(.25em + 2px);
            left: calc(-2.25em + 2px);
            width: calc(1em - 4px);
            height: calc(1em - 4px);
            border-radius: .5em;
        }

        &::before {
            top: .25em;
            height: 1em;
            left: -2.25em;
            width: 1.75em;
            border-radius: .5em;
        }

        .inactive {
            display: inline-block;
        }

        .active {
            display: none;
        }
    }

}

iframe {
    border: none;
}

.border {
    border-color: $border-color !important;
}

.border-right {
    border-right-color: $border-color !important;
}

.border-left {
    border-left-color: $border-color !important;
}

.border-bottom {
    border-bottom-color: $border-color !important;
}

.border-top {
    border-top-color: $border-color !important;
}

.border-primary {
    border-color: $color-primary !important;
}

.overlay {
    position: fixed;
    @include full-offset;
    @include rgba(#000, .7);
    z-index: 30;
    opacity: 0;
    @include transition(opacity .2s);
    pointer-events: none;

    &.active {
        opacity: 1;
        pointer-events: visible;
    }
}

.custom-control {
    padding-left: 0;
    padding-right: 1.5rem;

    .custom-control-label {

        &::before,
        &::after {
            right: -1.5rem;
            left: auto;
        }
    }


    &.custom-control-inline {
        margin-right: 0;
        margin-left: 1rem;
    }

    &.custom-switch {
        padding-left: 2.25em;

        .custom-control-input {
            width: 1em;
            height: 1.25em;
            opacity: 0;

            &:checked {
                ~.custom-control-label {
                    &::after {
                        -webkit-transform: translateX(.75em);
                        transform: translateX(.75em);
                    }

                    &::before {
                        border-color: $color-primary;
                        background-color: $color-primary;
                    }

                    .active {
                        display: inline-block;
                    }

                    .inactive {
                        display: none;
                    }
                }
            }

            &:focus {
                ~.custom-control-label {
                    &::before {
                        box-shadow: 0 0 0 0.2rem rgba($color-primary, .25);
                    }
                }

                &:not(:checked)~.custom-control-label::before {
                    border-color: $color-primary;
                }
            }

            &:disabled:checked~.custom-control-label::before {
                @include rgba($color-primary, .5);
            }
        }

        .custom-control-label {
            &::after {
                top: calc(.25em + 2px);
                left: calc(-2.25em + 2px);
                width: calc(1em - 4px);
                height: calc(1em - 4px);
                border-radius: .5em;
            }

            &::before {
                top: .25em;
                height: 1em;
                left: -2.25em;
                width: 1.75em;
                border-radius: .5em;
            }

            .inactive {
                display: inline-block;
            }

            .active {
                display: none;
            }
        }
    }
}

[data-toggle="collapse"] {
    &.collapsed {
        .mdi {
            @include transition(transform .2s);
            display: inline-block;
            @include transform(rotate(90deg));

        }
    }
}

.text-justify {
    text-align: justify;
}